function draw()
	UiFont( "regular.ttf", 26 )
	UiTranslate( UiCenter(), UiMiddle() )
	UiAlign( "center middle" )
	UiWindow( 600, 232 )
	UiAlign( "top left" )
	UiColor( .1, .1, .1, 0.6 )
	UiImageBox( "ui/common/box-solid-shadow-50.png", 600, 232, -50, -50 )

	UiColor( 1, 1, 1 )
	UiTranslate( 290, 80 )
	UiAlign( "right" )
	if SetCameraFov then
		UiPush()
		UiText( "Legacy Flight" )
		UiTranslate( 20, 0 )
		UiAlign( "left" )
		UiColor( 1, 1, 0.7 )
		local val = GetInt( "savegame.mod.legacy" )
		if val == 0 then
			if UiTextButton( "Disabled" ) then
				SetInt( "savegame.mod.legacy", 1 )
			end
		else
			if UiTextButton( "Enabled" ) then
				SetInt( "savegame.mod.legacy", 0 )
			end
		end
		UiPop()
		UiTranslate( 0, 32 )
	end
	if not SetCameraFov or GetInt( "savegame.mod.legacy" ) == 1 then
		UiPush()
		UiText( "Hybrid Noclip" )
		UiTranslate( 20, 0 )
		UiAlign( "left" )
		UiColor( 1, 1, 0.7 )
		local val = GetInt( "savegame.mod.hybrid" )
		if val == 1 then
			if UiTextButton( "Disabled" ) then
				SetInt( "savegame.mod.hybrid", 0 )
			end
		else
			if UiTextButton( "Enabled" ) then
				SetInt( "savegame.mod.hybrid", 1 )
			end
		end
		UiPop()
	else
		UiPush()
		UiText( "Ignore Slow-Mo" )
		UiTranslate( 20, 0 )
		UiAlign( "left" )
		UiColor( 1, 1, 0.7 )
		local val = GetInt( "savegame.mod.noslowmo" )
		if val == 0 then
			if UiTextButton( "Disabled" ) then
				SetInt( "savegame.mod.noslowmo", 1 )
			end
		else
			if UiTextButton( "Enabled" ) then
				SetInt( "savegame.mod.noslowmo", 0 )
			end
		end
		UiPop()
	end
	UiTranslate( 10, 80 )
	UiAlign( "center" )
	if UiTextButton( "Close" ) then
		Menu()
	end

end
